mysql_pconnect
mysql_query
MySQL Functions
PHP Manual

# mysql_ping

(PHP 4 >= 4.3.0, PHP 5, PECL mysql:1.0)

mysql_ping — Ping a server connection or reconnect if there is no connection

### Description

bool mysql_ping ([ resource `$link_identifier` ] )

Checks whether or not the connection to the server is working. If it has gone down, an automatic reconnection is attempted. This function can be used by scripts that remain idle for a long while, to check whether or not the server has closed the connection and reconnect if necessary.

> Note: Since MySQL 5.0.13, automatic reconnection feature is disabled.

### Parameters

`link_identifier`

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level error is generated.

### Return Values

Returns `TRUE` if the connection to the server MySQL server is working, otherwise `FALSE`.

### Examples

Example #1 A mysql_ping() example

`<?php
set_time_limit(0);
$conn = mysql_connect('localhost', 'mysqluser', 'mypass');
$db = mysql_select_db('mydb');
/* Assuming this query will take a long time */
$result = mysql_query($sql);
if (!$result) {
echo 'Query #1 failed, exiting.';
exit;
}
/* Make sure the connection is still alive, if not, try to reconnect */
if (!mysql_ping($conn)) {
echo 'Lost connection, exiting after query #1';
exit;
}
mysql_free_result($result);
/* So the connection is still alive, let's run another query */
$result2 = mysql_query($sql2);
?>`

### See Also

- mysql_thread_id()
- mysql_list_processes()

mysql_pconnect
mysql_query
MySQL Functions
PHP Manual